﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- Copy everything not matched by another rule -->
  <xsl:template match="* | comment()">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

  <!-- Append my new material at the end -->
  <xsl:template match="/materials">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/><xsl:text>
	  </xsl:text><xsl:comment>Medium friction, low bounce. Added by Goosweek</xsl:comment><xsl:text>
	  </xsl:text><material id="GoosweekWood" friction="2.3" bounce="0.0001" minbouncevel="150" stickiness="0"/><xsl:text>
	  </xsl:text>
    </xsl:copy>
  </xsl:template>

</xsl:transform>